﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfStarterKit.Framework.Navigation
{
    /// <summary>
    /// This interface is used by view models that wish to receive data from other view models. The actual transfer of data
    /// is done by the navigation manager
    /// </summary>
    public interface IConsumeData
    {
        /// <summary>
        /// Receive data from other view models
        /// </summary>
        /// <param name="sender">Sender of the data.</param>
        /// <param name="data">Data.</param>
        void ConsumeData(string sender, object data);
    }
}
