﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfStarterKit.Framework.Navigation
{
    /// <summary>
    /// This interface is used by view models that wish to send data to other view models. The actual transfer of data
    /// is done by the navigation manager
    /// </summary>
    public interface IProvideData
    {
        /// <summary>
        /// Provides data to other view models
        /// </summary>
        /// <param name="requestor">The requestor.</param>
        /// <returns>Data.</returns>
        object ProvideData(string requestor);
    }
}
