﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace WpfStarterKit.Framework.Navigation
{
    /// <summary>
    /// Override this class if you are using the LongRunningOperation attribute
    /// </summary>
    public class LongRunningOperationManager
    {
        /// <summary>
        /// A long running operation was started. Override this to show a notification (to the user) of some kind
        /// </summary>
        /// <param name="data">Parameters used to define the long running operation</param>
        public virtual void LongRunningOperationStarted(LongRunningOperationAttribute data)
        {
            Debug.WriteLine("Starting: " + data.Message);
        }

        /// <summary>
        /// A long running operation was completed
        /// </summary>
        /// /// <param name="data">Parameters used to define the long running operation</param>
        public virtual void LongRunningOperationCompleted(LongRunningOperationAttribute data)
        {
            Debug.WriteLine("Completed: " + data.Message);
        }
    }
}
