﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfStarterKit.Framework.Navigation
{
    /// <summary>
    /// Defines a navigation action from NavigationMap.xml
    /// </summary>
    public class NavigationAction
    {
        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name { get; set; }

        /// <summary>
        /// The name of the assembly the view and view model need to be loaded from. This defaults to the entry
        /// assembly if nothing is specified
        /// </summary>
        public string ViewAssemblyName { get; set; }

        /// <summary>
        /// Gets or sets the name of the view type.
        /// </summary>
        /// <value>The name of the view type.</value>
        public string ViewTypeName { get; set; }

        /// <summary>
        /// Gets or sets the name of the view model type.
        /// </summary>
        /// <value>The name of the view model type.</value>
        public string ViewModelTypeName { get; set; }

        /// <summary>
        /// The name of the assembly the view model needs to be loaded from. This defaults to the entry assembly
        /// if nothing is specified
        /// </summary>
        public string ViewModelAssemblyName { get; set; }
    }
}
